    function 验证码(name,event){   
        //name表示组件在被创建时的名称，event表示组件拥有的事件
        //如果组件有多个事件，可以在后面继续填写这些事件名称
        //例如：function 验证码(name,event1,event2,event3){       
        //组件内部属性，仅供组件内部使用：
        this.名称 = name;      
        //组件命令：
        this.生成验证码 = function (长度,背景图片){
            var code;
 			code = "";
			if(!长度){
				var codeLength = 4; 
			}else{
				var codeLength = 长度; 
			}
 			var checkCode = document.getElementById(this.名称);
			 var codeChars = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z',
      'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'); 
 			for(var i = 0; i < codeLength; i++) 
 			{
  				var charNum = Math.floor(Math.random() * 52);
  				code += codeChars[charNum];
 			}
 			if(checkCode) 
 			{
  				checkCode.className = "etcode";				
				if(背景图片){
					checkCode.style.backgroundImage="url("+背景图片+")";
				}				
  				checkCode.innerHTML = code;			
 			}
			return code;
       	} 
        
        //组件事件
        if(event!=null){		
            document.getElementById(this.名称).addEventListener("tap", function () {
                event();
            });       	
        }
    }